TLS API-Referenz
v1.6.2
OpenAPI herunterladen
Update TLS organization
Update the local TLS organization contact data used for readiness checks and order completion.
PATCH
/tls/organization/{organization_id}
TLSOrganizationsByID

Authentifizierung

x-api-keyapplication/json

Parameter

Name
Typ
Format
Pflicht
Description
organization_id
path
string
Pflicht
Public TLS organization ID

Request Body

application/jsonPflicht
Partial TLS organization payload
tlsOrganizationPatchRequest
tlsOrganizationPatchRequest
{
  "edit_mode": "create_replacement",
  "organization": "example",
  "first_name": "example",
  "last_name": "example"
}

Felder

Name
Typ
Format
Pflicht
Description
edit_mode
create_replacement, update_provider
string
Optional
organization
string
Optional
first_name
string
Optional
last_name
string
Optional
address
string
Optional
postal_code
string
Optional
city
string
Optional
country_code
string
Optional
phone
string
Optional
email
string
Optional

Request-Beispiel

PATCH
curl --request PATCH \
  --url 'https://api.regfish.com/tls/organization/hdl_7K9QW3M2ZT8HJ' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "edit_mode": "create_replacement",
  "organization": "example",
  "first_name": "example",
  "last_name": "example"
}'

Responses

200
TLS organization updated
application/jsontlsOrganizationResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "hdl_7K9QW3M2ZT8HJ",
    "organization": "example",
    "status": "ready",
    "usable_for_ordering": true,
    "first_name": "example",
    "last_name": "example",
    "address": "example",
    "postal_code": "example",
    "city": "example",
    "country_code": "example",
    "phone": "example",
    "email": "example"
  }
}
400
Invalid request payload
application/jsonError
Response-Beispiel 400
{
  "success": false,
  "message": "Invalid request payload",
  "error": "Invalid request payload"
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
TLS organization not found
application/jsonError
Response-Beispiel 404
{
  "success": false,
  "message": "TLS organization not found",
  "error": "TLS organization not found"
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von Regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem Regfish-Kunden kostenlos zur Verfügung.